mysql_stmt_init(3)

  Name

mysql_stmt_init - Initializes a prepared statement handle

  Synopsis

    #include <mysql.h>
    MYSQL_STMT * mysql_stmt_init(MYSQL * mysql);

  Description

Initializes and allocates memory for a prepared statement.

  Parameter

•   mysql - a mysql handle, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Return value

Returns a pointer to a MYSQL_STMT structure or NULL if an error occurred.

  Notes

•   Members of the MYSQL_STMT structure are not intended for application use.

•   A statement handle which was allocated by mysql_stmt_init() needs to be freed with mysql_stmt_close(3).

•   Any subsequent calls to any mysql_stmt function will fail until mysql_stmt_prepare(3) was called.

  See Also

•   mysql_stmt_close(3)

•   mysql_stmt_prepare(3)